API referenceWebhooks

Delete a webhook endpoint

DELETE
/v2/webhook-endpoints/{id}

Authorization

ApiKey
headerAuthorizationBearer <token>

An API key from Developers → API keys: Authorization: Bearer gauge_live_… (or pulse_k_live_…).

Path Parameters

id*string

The webhook endpoint id.

Formatuuid

Header Parameters

Gauge-Version?string

A dated version. Default 2026-10-21.

Response Body

Deleted, with its delivery log.

application/json
  1. response
id*string
Formatuuid
deleted*true
Value intrue
Example Request
curl -X DELETE 'https://app.gauge.chat/backend/v2/webhook-endpoints/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "deleted": true}